0

I'm a new user of Ubuntu (16.04 LTS). I want to update my Opera browser, but I have this problem:

My Opera version is 46.0.2597.57 and the new version 47.0.2631.55 is available, but when I want to update my Opera it says: opera-stable is already the newest version (46.0.2597.57), but IT IS NOT!

I did this:

  • sudo add-apt-repository 'deb https://deb.opera.com/opera-stable/stable non-free'
  • wget -O - http://deb.opera.com/archive.key | apt-key add -
  • apt-get update
  • apt-get install opera-stable

and the response was:

Reading package lists... Done
Building dependency tree       
Reading state information... Done
opera-stable is already the newest version (46.0.2597.57).
0 upgraded, 0 newly installed, 0 to remove and 5 not upgraded.

what is the problem with it?

thank you in advance :-)


NOTE: I've downloaded opera-stable_47.0.2631.55_amd64.deb and tried to install it by Ubuntu Software, but it didn't work!

  • 2
    Try installing your deb package using sudo dpkg -i opera-stable_47.0.2631.55_amd64.deb – Ravexina Aug 19 '17 at 8:00
  • … or just click the .deb file to install the package. It will also automatically configure your package sources for automated updates, see here. – dessert Aug 19 '17 at 8:33
1

If you already downloaded the .deb package, just click it and the installation will start. Alternatively do in a terminal:

sudo dpkg -i opera-stable_47.0.2631.55_amd64.deb

They way you wanted to do it of course also works, but you forgot the first step. However, this is totally unnecessary if you install the .deb package directly, as it will add the repository automatically.

  1. add the repository:

    sudo add-apt-repository 'deb https://deb.opera.com/opera-stable/ stable non-free'
    
  2. add the key:

    wget -qO- https://deb.opera.com/archive.key | sudo apt-key add -
    
  3. update your sources:

    sudo apt update
    
  4. install the package:

    sudo apt install opera-stable
    
  • But, I didn't forget the first step! I forgot to writ it here :)) And CLICK to install Didn't work too! When the installation started, Suddenly the Ubuntu Software switched installation to Opera 46.0.2597.57!!! And I don't know why!? But your second advice (by terminal) worked! Thanks :) (I still don't know why just that way works for me!) – Peyman mohseni kiasari Aug 19 '17 at 9:59

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.